Edje Communication Interface: Signal

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

Typedefs | Functions
Edje Communication Interface: Signal
Edje » Edje Object

Functions that deal with signals. More...

## Typedefs
typedef void(* | Edje_Signal_Cb) (void *data, Evas_Object *obj, const char *emission, const char *source)
| Edje signal callback functions's prototype definition. More...

## Functions
void * | edje_object_signal_callback_extra_data_get (void)
| Get extra data passed to callbacks. More...

## Detailed Description

Functions that deal with signals.

Edje has two communication interfaces between code and theme. Signals and messages.

This group has functions that deal with signals. One can either emit a signal from code to a theme or create handles for the ones emitted from themes. Signals are identified by strings.

## Typedef Documentation

typedef void(* Edje_Signal_Cb) (void *data, Evas_Object *obj, const char *emission, const char *source)

Edje signal callback functions's prototype definition.

`data` will have the auxiliary data pointer set at the time the callback registration. `obj` will be a pointer the Edje object where the signal comes from. `emission` will identify the exact signal's emission string and `source` the exact signal's source one.

Examples:
  edje-color-class.c.

## Function Documentation

void* edje_object_signal_callback_extra_data_get | ( | void |  | ) |

Get extra data passed to callbacks.

Returns
  the extra data for that callback.

Some callbacks pass extra information. This function gives access to that extra information. It's somehow like event_info in smart callbacks.

See also
  edje_object_signal_callback_add() for more on Edje signals.

Since
  1.1.0

References _Edje_External_Param_Info::c, _Edje_External_Param::d, _Edje_External_Param_Info::d, EDJE_EXTERNAL_DOUBLE_UNSET, EDJE_EXTERNAL_INT_UNSET, edje_external_param_type_str(), EDJE_PART_TYPE_EXTERNAL, EDJE_PART_TYPE_TEXT, EDJE_PART_TYPE_TEXTBLOCK, EINA_FALSE, eina_inarray_count(), EINA_INARRAY_FOREACH, EINA_REFCOUNT_REF, EINA_TRUE, ERR, evas_object_data_get(), _Edje_External_Param::i, _Edje_External_Param_Info::i, INF, _Edje_External_Param_Info::name, _Edje_External_Type::parameters_info, _Edje_External_Param::s, _Edje_External_Param_Info::s, _Edje_External_Param::type, and _Edje_External_Param_Info::type.